from typing import Optional

from nbt.nbt import TAG


class Block:
    def __init__(self,
                 name: str,
                 nbt: Optional[TAG] = None,
                 tile_entity: Optional[TAG] = None,
                 x: int = 0,
                 y: int = 0,
                 z: int = 0):
        self.name: str = name
        self.nbt: Optional[TAG] = nbt
        self.tile_entity: Optional[TAG] = tile_entity
        self.x: int = x
        self.y: int = y
        self.z: int = z
